DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | List of all members
DSRImageFrameList Class Reference

Class for image frame number list. More...

Inheritance diagram for DSRImageFrameList:

## Public Member Functions
| DSRImageFrameList ()
| default constructor
| DSRImageFrameList (const DSRImageFrameList &lst)
| copy constructor More...
virtual | ~DSRImageFrameList ()
| destructor
DSRImageFrameList & | operator= (const DSRImageFrameList &lst)
| assignment operator More...
OFCondition | print (STD_NAMESPACE ostream &stream, const size_t flags=0, const char separator=',') const
| print list of referenced frame numbers. More...
OFCondition | read (DcmItem &dataset, const size_t flags)
| read list of referenced frame numbers More...
OFCondition | write (DcmItem &dataset) const
| write list of referenced frame numbers More...
OFCondition | putString (const char *stringValue)
| put list of referenced frame numbers as a string. More...
Public Member Functions inherited from DSRListOfItems< Sint32 >
| DSRListOfItems ()
| default constructor
| DSRListOfItems (const DSRListOfItems< Sint32 > &lst)
| copy constructor More...
virtual | ~DSRListOfItems ()
| destructor
DSRListOfItems< Sint32 > & | operator= (const DSRListOfItems< Sint32 > &lst)
| assignment operator More...
OFBool | operator== (const DSRListOfItems< Sint32 > &lst) const
| comparison operator "equal" More...
OFBool | operator!= (const DSRListOfItems< Sint32 > &lst) const
| comparison operator "not equal" More...
void | clear ()
| clear all internal variables
OFBool | isEmpty () const
| check whether the list is empty More...
size_t | getNumberOfItems () const
| get number of items contained in the list More...
OFBool | isElement (const Sint32 &item) const
| check whether specified item is contained in the list More...
const Sint32 & | getItem (const size_t idx) const
| get reference to the specified item More...
OFCondition | getItem (const size_t idx, Sint32 &item) const
| get copy of the specified item More...
OFCondition | getItems (OFVector< Sint32 > &items) const
| get copy of all items (as a vector) More...
void | addItem (const Sint32 &item)
| add item to the list More...
void | addOnlyNewItem (const Sint32 &item)
| add item to the list only if it's not already contained More...
void | addItems (const OFVector< Sint32 > &items)
| add items to the list More...
OFCondition | insertItem (const size_t idx, const Sint32 &item)
| insert item at specified position to the list More...
OFCondition | removeItem (const size_t idx)
| remove item from the list More...

## Additional Inherited Members
Protected Member Functions inherited from DSRListOfItems< Sint32 >
OFBool | gotoItemPos (size_t idx, OFLIST_TYPENAME OFListConstIterator(Sint32) &iterator) const
| goto specified item position More...
OFBool | gotoItem (const Sint32 &item, OFLIST_TYPENAME OFListConstIterator(Sint32) &iterator) const
| goto specified item More...
Protected Attributes inherited from DSRListOfItems< Sint32 >
OFList< Sint32 > | ItemList
| the list maintained by this class

## Detailed Description

Class for image frame number list.

## Constructor & Destructor Documentation

## ◆ DSRImageFrameList()

DSRImageFrameList::DSRImageFrameList | ( | const DSRImageFrameList & | lst | ) |

copy constructor

Parameters

  lst | list to be copied

## Member Function Documentation

## ◆ operator=()

DSRImageFrameList& DSRImageFrameList::operator= | ( | const DSRImageFrameList & | lst | ) |

assignment operator

Parameters

  lst | list to be copied

Returns
  reference to this list after 'lst' has been copied

## ◆ print()

OFCondition DSRImageFrameList::print | ( | STD_NAMESPACE ostream & | stream,
|  | const size_t | flags = `0`,
|  | const char | separator = `','`
| ) |  | const

print list of referenced frame numbers.

The output of a typical list looks like this: 1,2,3 or 1,... if shortened.

Parameters

  stream | output stream to which the list should be printed
  flags | flag used to customize the output (see DSRTypes::PF_xxx)
  separator | character specifying the separator between the list items

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ putString()

OFCondition DSRImageFrameList::putString | ( | const char * | stringValue | ) |

put list of referenced frame numbers as a string.

This function expects the same input format as created by print(), i.e. a comma separated list of numerical values.

Parameters

  stringValue | string value to be set

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ read()

OFCondition DSRImageFrameList::read | ( | DcmItem & | dataset,
|  | const size_t | flags
| ) |  |

read list of referenced frame numbers

Parameters

  dataset | DICOM dataset from which the list should be read
  flags | flag used to customize the reading process (see DSRTypes::RF_xxx)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DSRImageFrameList::write | ( | DcmItem & | dataset | ) | const

write list of referenced frame numbers

Parameters

  dataset | DICOM dataset to which the list should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrimgfr.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1